Skip to main content
GET
/
addresses
/
{address_hash_param}
/
coin-balance-history
Get native coin balance history for an address showing all balance changes
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/addresses/{address_hash_param}/coin-balance-history?apikey='
{
  "items": [
    {
      "block_number": 123,
      "block_timestamp": "2023-11-07T05:31:56Z",
      "delta": "<string>",
      "transaction_hash": "<string>",
      "value": "<string>"
    }
  ],
  "next_page_params": {
    "block_number": 22546398,
    "items_count": 50
  }
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

block_number
integer

Block number for paging

Required range: x >= 0
items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50

Response

Historical coin balance changes for the specified address, with pagination.

items
CoinBalance · object[]
required
next_page_params
object
required
Example:
{
"block_number": 22546398,
"items_count": 50
}